export { initializers_set };
export { initializers_get };
export { initializers_remove };
export { setPageContext };
export { getPageContext };
export { getReactStoreContext };
import type { PageContext } from 'vike/types';
import type { StoreApiAndHook } from '../types.js';
declare function setPageContext(pageContext: PageContext | null): void;
declare function getPageContext(): PageContext | null;
declare const getReactStoreContext: () => React.Context<{
    [key: string]: StoreApiAndHook;
}>;
declare function initializers_set(key: string, initializer: any): void;
declare function initializers_remove(key: string): void;
declare function initializers_get(): {
    [key: string]: any;
};
